#include "iri_joints_client_bt_alg.h"

IriJointsClientBtAlgorithm::IriJointsClientBtAlgorithm(void)
{
  pthread_mutex_init(&this->access_,NULL);
}

IriJointsClientBtAlgorithm::~IriJointsClientBtAlgorithm(void)
{
  pthread_mutex_destroy(&this->access_);
}

void IriJointsClientBtAlgorithm::config_update(Config& new_cfg, uint32_t level)
{
  this->lock();

  // save the current configuration
  this->config_=new_cfg;
  
  this->unlock();
}

// IriJointsClientBtAlgorithm Public API
